For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get consent

Get a consent type

get
/tenants/{tenantUid}/consents/{consentUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
consentUidstringRequired

Reference to a consent

Responses
200

Example response

application/json
consentUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
descriptionstringRequired
activebooleanRequired
externalIdstringRequired
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
get/tenants/{tenantUid}/consents/{consentUid}
GET /v2/tenants/{tenantUid}/consents/{consentUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "consentUid": "text",
  "name": "text",
  "description": "text",
  "active": true,
  "externalId": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text"
}

Last updated

Was this helpful?